Page MenuHomePhabricator

AWMD leader board stats tool to analyze monthly stats for patch contributors
Closed, ResolvedPublic

Tokens
"Love" token, awarded by srishakatux."Like" token, awarded by Tgr."Mountain of Wealth" token, awarded by D3r1ck01."Love" token, awarded by rosalieper.
Assigned To
Authored By
D3r1ck01, Mar 2 2018

Description

This tool will be used to summarize and visualize patches contributed by African Developers on a monthly basis, this will speed up the process of collecting and publishing Leader Board statistics at the end of each month.

The project is led by @samuelguebo and @D3r1ck01 is making contributions. It's an open project so anyone in the community can contribute.

Link to tool on Toolforge: https://tools.wmflabs.org/awmd-stats
Link to the project on Gitiles (Gerrit): https://gerrit.wikimedia.org/g/labs/tools/awmd-stats

Event Timeline

D3r1ck01 triaged this task as Normal priority.Mar 2 2018, 8:28 AM
D3r1ck01 created this task.

That's a nice idea. I will like to contribute. When you are set could you please share on our mailing list this idea and necessary resources to contribute.

D3r1ck01 updated the task description. (Show Details)Mar 2 2018, 12:08 PM
D3r1ck01 awarded a token.

@samuelguebo, maybe i'm missing something, you can add please? The link to the running prototype on Toolforge, can you add in the task description? Thanks

Tgr awarded a token.Mar 2 2018, 4:37 PM
Tgr added a comment.Mar 2 2018, 4:56 PM

Have you looked at wikimedia.biterg.io? Maybe it's possible to build a dashboard on top of that.

D3r1ck01 added a comment.EditedMar 2 2018, 5:25 PM

Thanks so much for this link @Tgr. We would definitely have a look and see how we can build an interface on it. So far, this is what we have: https://tools.wmflabs.org/awmd-stats/ at the moment. We'll get to you for any questions when looking at the link you provided. Thanks.

We'll get to you for any questions when looking at the link you provided. Thanks.

Nah, please ask on https://www.mediawiki.org/wiki/Talk:Community_metrics instead, as private questions do not scale. :)

@@D3r1ck01: I fail to find the source code of https://tools.wmflabs.org/user-stats/ (which might be a policy violation) so I wonder how it defines the data scope. Hardcoded list of user names? Hardcoded list of repositories? Pointers to the code welcome.

D3r1ck01 added a comment.EditedMar 2 2018, 6:50 PM

Hey @Aklapper, ooh yes, thanks so much for this, I totally agree with you on https://www.mediawiki.org/wiki/Talk:Community_metrics, personal questions really do not scale ! :) @samuelguebo and I will make sure we don't use 3rd party. The tool resides here: https://tools.wmflabs.org/awmd-stats/ as the previous link was just something for test. The source codes can be found here: https://github.com/ch3nkula/awmd-stats and the tool is open for contributions from community as it's a fresh project :)

D3r1ck01 updated the task description. (Show Details)Mar 2 2018, 6:51 PM

So if I interpret https://github.com/ch3nkula/awmd-stats/blob/master/participants.json correctly, the user names are hardcoded?
If that's correct, here is a link covering activity in Wikimedia Gerrit in the last year (I could not find Alhassane though in the database behind though):

https://wikimedia.biterg.io/goto/559f900867be08b48e537f90c485039a

See https://www.mediawiki.org/wiki/Community_metrics for info on the user interface (filtering, changing the time frame, etc).

@Aklapper thanks for this useful link. As for Alhassane I guess his username was misspelled : alhassane, in lowrecase, is the right one.

Ah, thanks a lot for the link!! I couldn't find him because my last local database dump here that I used for searching is from 2018-02-19.
Updated query that now includes Alhassane: https://wikimedia.biterg.io/goto/e8261c896dad93effbc9160985f52915

Good to hear that. Metrics are very well presented on biterg. As for Gerrit, is it using the REST API or any dump? We have been searching for ways to run queries on Gerrit dumps with no success.

samuelguebo updated the task description. (Show Details)Mar 2 2018, 9:56 PM

@samuelguebo, any updates here? Maybe this should be closed as we've already got a prototype?

@D3r1ck01 , I agree too, we should close it.

samuelguebo closed this task as Resolved.Sep 10 2018, 11:26 AM
samuelguebo updated the task description. (Show Details)